import { System } from '../../../system';
export declare function emitKeyboardEvent(system: System, type: string, init: KeyboardEventInit): void;
export declare function writeToActiveElement(system: System, key: string): Element;
export declare function writeToElement(system: System, element: Element, key: string, modifier?: {
    ctrlKey?: boolean;
    shiftKey?: boolean;
    altKey?: boolean;
}): void;
export type TextState = {
    value: string;
    selectionStart: number;
    selectionEnd: number;
    selectionDirection: 'forward' | 'backward' | 'none';
};
export declare function processKeydown({ value, selectionStart, selectionEnd, selectionDirection, }: TextState, { ctrlKey, shiftKey, altKey }: {
    ctrlKey: any;
    shiftKey: any;
    altKey: any;
}, key: string): TextState;
export declare function writeToInput(input: HTMLInputElement, key: string, { ctrlKey, shiftKey, altKey, }?: {
    ctrlKey?: boolean;
    shiftKey?: boolean;
    altKey?: boolean;
}): void;
export declare const getSelectionRange: (system: System) => {
    selectionStart: number;
    selectionEnd: number;
    selectionDirection: "forward" | "backward" | "none" | null;
};
export declare function selectElementContents(system: System, element: HTMLDivElement, selectionStart: number, selectionEnd: number): void;
export declare function writeToContentEditable(system: System, input: HTMLDivElement, key: string, { ctrlKey, shiftKey, altKey, }?: {
    ctrlKey?: boolean;
    shiftKey?: boolean;
    altKey?: boolean;
}): void;
export declare function emitKeyDown(system: System, key: string): void;
export declare function emitKeyUp(system: System, key: string): void;
